| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# GaudiAlg::PrintTuple Class Reference

`#include <GaudiAlg/Print.h>`

List of all members.

## Detailed Description

collection of useful utilities to print INTuple object (currently used for implementation of class GaudiTupleAlg and class GaudiTupleTool)

See also:
  INTuple

Author:
  Vanya BELYAEV Ivan.Belyaev@lapp.in2p3.fr

Date:
  2005-08-04

Definition at line 173 of file Print.h.

## Static Public Member Functions
static std::string | print (const INTuple *tuple, const GaudiAlg::TupleID &ID)
static std::string | print (const INTuple *tuple)

## Member Function Documentation

std::string GaudiAlg::PrintTuple::print | ( | const INTuple * | tuple,
|  | const GaudiAlg::TupleID & | ID |
| ) |  |  | `[static]`

Definition at line 173 of file Print.cpp.

References format(), and GaudiAlg::ID::idAsString().

Referenced by GaudiTuples< PBASE >::printEvtCols(), and GaudiTuples< PBASE >::printTuples().

    00175 {
    00176   boost::format fmt ( " ID=%|-12|%|18t|%|-s|") ;
    00177   fmt % ID.idAsString() % print ( tuple ) ;
    00178   return fmt.str() ;
    00179 }

std::string GaudiAlg::PrintTuple::print | ( | const INTuple * | tuple | ) | `[static]`

Definition at line 202 of file Print.cpp.

References _print(), format(), INTuple::items(), and INTuple::title().

    00203 {
    00204   boost::format fmt
    00205     ( "Title=\"%|.39s|\" %|48t|#items=%|-3|%|50t|{%|.81s|}" ) ;
    00206   fmt % tuple->title() ;
    00207   fmt % tuple->items().size() ;
    00208   fmt % _print( tuple->items() ) ;
    00209   return fmt.str() ;
    00210 }

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiAlg/v11r1/GaudiAlg/Print.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiAlg/v11r1/src/lib/Print.cpp